:root {
    --background-dark: #2d3548;
    --text-light: rgba(255, 255, 255, 0.6);
    --text-lighter: rgba(255, 255, 255, 0.9);
    --spacing-s: 8px;
    --spacing-m: 16px;
    --spacing-l: 24px;
    --spacing-xl: 32px;
    --spacing-xxl: 64px;
    --width-container: 1200px;
}

/* Asset Form */
.input {
    border: 1px solid #d3d5da;
    border-radius: 8px;
    padding: 10px 12px;
    background-color: #fff;
}

.input:focus {
    border: 2px solid #c5dff8;
    box-shadow: none;
    border-radius: 8px;
    padding: 10px 12px;
}

::placeholder {
    color: #d8d9da;
    opacity: 1;
}

.read {
    background-color: #e6eef9;
}

.bg-blue-light {
    background-color: #e2f3fb;
}

/* Text */
.text-06 {
    font-size: 12px;
}

/* Button */
.btn-wrapper {
    display: flex;
    text-decoration: none;
    color: black;
    align-items: center;
    position: relative;
    background-color: #fff;
    box-shadow: 0 0 1px 0 rgba(24, 94, 224, 0.15),
        0 6px 12px 0 rgba(24, 94, 224, 0.15);
    padding: 9px 15px;
    border-radius: 8px;
}

.btn {
    padding: 0.55rem 1.5rem;
    border-radius: 10px;
}

.btn-primary {
    background-color: #007cff;
    border-color: #007cff;
    color: #fff;
}

.btn-primary:hover {
    background-color: #002aff;
    border: 1px solid #007cff;
    color: white;
    border-radius: 10px;
}

.btn-success {
    background-color: #059212;
    border-color: #059212;
    color: #fff;
}

.btn-light {
    padding: 0.55rem 1rem;
    background-color: #fbfdff;
    border-color: #fbfdff;
}

.light-active {
    padding: 0.55rem 1rem;
    background-color: #d7eaff;
    border-color: #d7eaff;
}

.btn-google {
    padding: 9px 15px;
    border-radius: 10px;
    background-color: #ffffff;
    border: 1px solid #e9e9e9;
    color: rgb(3, 3, 3);
}

.btn-out-primary {
    padding: 9px 15px;
    background-color: #ffffff;
    border: 1px solid #00a7ff;
    color: #00a7ff;
    border-radius: 10px;
    box-shadow: 1px 1px 11px -1px rgba(1, 1, 1, 0.08);
}

.btn-out-primary:hover {
    padding: 9px 15px;
    background-color: #ffffff;
    border: 1px solid #00a7ff;
    color: #00a7ff;
    border-radius: 10px;
    box-shadow: 1px 1px 11px -1px rgba(1, 1, 1, 0.08);
}

.btn-warning {
    background-color: #ff820d;
    border: 1px solid #ff820d;
    color: white;
    border-radius: 10px;
}

.btn-warning:hover {
    background-color: #ff820d;
    border: 1px solid #ffbc0d;
    color: white;
    border-radius: 10px;
}

.btn-secondary {
    padding: 9px 15px;
    background-color: #7a7a7a;
    border: 1px solid #7a7a7a;
    color: white;
    border-radius: 10px;
}

.btn-secondary:hover {
    padding: 9px 15px;
    background-color: #7a7a7a;
    border: 1px solid #7a7a7a;
    color: white;
    border-radius: 10px;
}

.btn-danger {
    padding: 9px 15px;
    background-color: #ff3d0d;
    border: 1px solid #ff3d0d;
    color: white;
    border-radius: 10px;
}

.btn-danger:hover {
    padding: 9px 15px;
    background-color: #ff3d0d;
    border: 1px solid #ff3d0d;
    color: white;
    border-radius: 10px;
}

.btn-light {
    padding: 9px 15px;
    background-color: #efefef;
    border: 1px solid #efefef;
    color: black;
    border-radius: 10px;
}

.btn-light:hover {
    padding: 9px 15px;
    background-color: #efefef;
    border: 1px solid #efefef;
    color: black;
    border-radius: 10px;
}

.btn-check:checked + .btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check) + .btn:active {
    color: white;
    font-weight: 700;
    background-color: #ffbc0d;
    border-color: #ffbc0d;
}

.form-control {
    padding: 0.55rem 1rem;
    font-size: 16px;
    font-weight: 500;
    border-radius: 10px;
    border: 2px solid #e5e9f8;
    background-color: #f4f7fd;
}

.form-control:focus {
    border: 2px solid #007cff;
    box-shadow: none;
}

.strip {
    height: 1px;
    border-radius: 30%;
    width: 20%;
    background-color: rgb(143, 143, 143);
}

/* Table */
.center-cell {
    vertical-align: middle;
}
/* Table */

/* Card */

.card-menu-admin {
    /* border-left: 1px dashed #d6d3d3; */
    border-right: 1px dashed #d6d3d3;
}

.card-menu-admin:hover {
    /*background-color: #c5f0f4;*/
    color: black;
    border-right: 1px dashed #d6d3d3;
}

.card_overlay {
    list-style: none;
    position: relative;
}

.card_overlay:before {
    content: "";
    display: block;
    padding-bottom: 150%;
    width: 100%;
}

.card__background {
    background-size: cover;
    background-position: center;
    border-radius: var(--spacing-l);
    bottom: 0;
    filter: brightness(0.75) saturate(1.2) contrast(0.85);
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform-origin: center;
    trsnsform: scale(1) translateZ(0);
    transition: filter 200ms linear, transform 200ms linear;
}

.card_overlay:hover .card__background {
    transform: scale(1.05) translateZ(0);
}

.card-grid:hover > .card_overlay:not(:hover) .card__background {
    filter: brightness(0.5) saturate(0) contrast(1.2) blur(20px);
}

.card__content {
    left: 0;
    padding: 15px;
    position: absolute;
    top: 0;
}

.card__category {
    color: var(--text-light);
    font-size: 12px;
    margin-bottom: var(--spacing-s);
    text-transform: uppercase;
}

.card__heading {
    color: var(--text-lighter);
    font-size: 24px;
    text-shadow: 2px 2px 20px rgba(0, 0, 0, 0.2);
    line-height: 1.1;
    word-spacing: 100vw;
}

.card2 {
    display: block;
    top: 0px;
    position: relative;
    max-width: 100%;
    background-color: #eef8fc;
    border-radius: 4px;
    padding: 15px 24px;
    text-decoration: none;
    z-index: 0;
    overflow: hidden;
    border: 1px solid #eef8fc;
    margin-bottom: 5px;
}

.card-casis-01 {
    background-color: #f5f5f5;
    background-size: cover;
    background-position: center;
    padding: 20px;
    border: 1px dashed rgb(167, 167, 167);
}

.card-casis-02 {
    background: url("../../assets/images/bg-card.jpg") no-repeat;
    background-size: cover;
    background-position: center;
    padding: 20px;
}

.card-casis-02-active {
    background: url("../../assets/images/bg-card-active.jpeg") no-repeat;
    background-size: cover;
    background-position: center;
    padding: 20px;
}

.card-casis-03 {
    background-color: #ffffff;
    background-size: cover;
    background-position: center;
    padding: 20px;
    border: 1px dashed rgb(167, 167, 167);
}

.card-casis-04 {
    background-color: #cbf6f8;
    background-size: cover;
    background-position: center;
    padding: 20px;
    border: 1px dashed rgb(167, 167, 167);
}

.movie-card {
    width: 300px;
    height: 500px;
    border-radius: 35px;
    position: relative;
    box-shadow: 0 0 50px #0f274d;
}

.movie-card-second {
    margin-top: 50px;
}

.movie-card .content-card,
.movie-card .watch-card {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 35px;
    overflow: hidden;
    cursor: pointer;
}

.movie-card .watch-card {
    background: #fc217b;
    z-index: -1;
}

.movie-card-second .watch-card {
    background: #ffc300;
}

.movie-card .watch-card a {
    position: absolute;
    left: 50%;
    bottom: 15px;
    transform: translate(-50%, 0%);
    border: none;
    outline: none;
    background: none;
    color: #eee;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.2em;
    cursor: pointer;
}

.movie-card-second .watch-card a {
    color: #222;
}

.movie-card-second .watch-card a:hover {
    color: #eee;
}

.movie-card .content-card {
    padding: 20px 25px;
}

.movie-card-second .content-card {
    top: -50px;
}

.movie-card .content-card:hover {
    top: -50px;
}

.movie-card-second .content-card:hover {
    top: 0px;
}

.movie-card .content-card:hover img {
    transform: scale(1.2);
}

.movie-card-second .content-card img {
    transform: scale(1.2);
}

.movie-card-second .content-card:hover img {
    transform: scale(1);
}

.movie-card .content-card img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
}

.movie-card .content-card .shadow {
    width: 100%;
    height: 170px;
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    background: #0f274d;
    box-shadow: 0 0 10px 20px #0f274d;
    filter: blur(10px);
}

.movie-card-second .content-card .shadow {
    background: #111;
    box-shadow: 0 0 10px 20px #111;
}

.movie-card .content-card .content {
    position: absolute;
    color: #eee;
    bottom: 20px;
}

.movie-card .content-card .content h1 {
    text-transform: capitalize;
    font-weight: 700;
    font-size: 2.2em;
}

.movie-card .content-card .content .date {
    color: #aaa;
    text-transform: capitalize;
    font-weight: 700;
    font-size: 0.75em;
}

.movie-card .content-card .content b {
    margin: 5px 0;
    display: inline-block;
}

.movie-card .content-card .content .stars {
    margin: 8px 0;
    font-size: 0.9em;
    color: #aaa;
}

.movie-card .content-card .content .stars .checked {
    color: orange;
}

.movie-card .content-card .content .hex-tag {
    display: flex;
    gap: 10px;
    margin-top: 15px;
    margin-bottom: 20px;
}

.movie-card .content-card .content .hex-tag .tag {
    background: rgba(200, 200, 200, 0.2);
    padding: 5px 10px;
    border-radius: 50px;
    font-size: 0.85em;
}

.movie-card .content-card .content .fa-angle-up,
.movie-card .content-card .content .fa-angle-down {
    position: absolute;
    left: 50%;
    transform: translate(0%, -50%);
    font-size: 1.8em;
    color: #aaa;
}

/* Card */

/* Border */
.border-dash {
    border: 1px dashed rgb(167, 167, 167);
}
/* Border */

/* Tabs */
.tabs {
    display: flex;
    position: relative;
}
.tabs * {
    z-index: 2;
}

.btn-round {
    padding: 9px 45px;
    background-image: linear-gradient(#efefef, #efefef);
    color: black;
    z-index: 1;
    border-radius: 10px 10px 0px 0px;
    border-bottom: 2px solid #d7d7d7;
    transition: 0.25s ease-out;
    text-decoration: none;
}

.btn-round.active {
    background-image: linear-gradient(#cff4fc, #cff4fc);
    color: 055160;
    border-bottom: 2px solid #00a7ff;
}

.play {
    box-shadow: 0 0 0 0 rgb(45, 144, 226);
    transform: scale(1);
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(87, 190, 241, 0.7);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgba(228, 107, 107, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(228, 100, 100, 0);
    }
}

.scale-animation {
    transform: scale(1);
    animation: scale 2s infinite;
}

@keyframes scale {
    0% {
        transform: scale(0.95);
    }

    70% {
        transform: scale(1);
    }

    100% {
        transform: scale(0.95);
    }
}

@media (max-width: 700px) {
    .tabs {
        transform: scale(0.6);
    }
}
/* Tabs */

/* Table */
.tr-center {
    vertical-align: middle;
}

/* Stripe */
.line {
    border: 1px dashed rgb(167, 167, 167);
}

.bd-callout {
    padding: 10px;
    border-left: 1px solid #055160;
}

/* Callout */
.bd-callout-info {
    width: 100%;
    color: #055160;
    background-color: #cff4fc;
    border-left: 3px solid #9eeaf9;
}
/* Callout */

/* List */
li {
    font-size: 18px;
    font-weight: 500;
}

/*Bell*/

.bell {
    -webkit-animation: ring 4s 0.7s ease-in-out infinite;
    -webkit-transform-origin: 50% 4px;
    -moz-animation: ring 4s 0.7s ease-in-out infinite;
    -moz-transform-origin: 50% 4px;
    animation: ring 4s 0.7s ease-in-out infinite;
    transform-origin: 50% 4px;
}

@-webkit-keyframes ring {
    0% {
        -webkit-transform: rotateZ(0);
    }
    1% {
        -webkit-transform: rotateZ(30deg);
    }
    3% {
        -webkit-transform: rotateZ(-28deg);
    }
    5% {
        -webkit-transform: rotateZ(34deg);
    }
    7% {
        -webkit-transform: rotateZ(-32deg);
    }
    9% {
        -webkit-transform: rotateZ(30deg);
    }
    11% {
        -webkit-transform: rotateZ(-28deg);
    }
    13% {
        -webkit-transform: rotateZ(26deg);
    }
    15% {
        -webkit-transform: rotateZ(-24deg);
    }
    17% {
        -webkit-transform: rotateZ(22deg);
    }
    19% {
        -webkit-transform: rotateZ(-20deg);
    }
    21% {
        -webkit-transform: rotateZ(18deg);
    }
    23% {
        -webkit-transform: rotateZ(-16deg);
    }
    25% {
        -webkit-transform: rotateZ(14deg);
    }
    27% {
        -webkit-transform: rotateZ(-12deg);
    }
    29% {
        -webkit-transform: rotateZ(10deg);
    }
    31% {
        -webkit-transform: rotateZ(-8deg);
    }
    33% {
        -webkit-transform: rotateZ(6deg);
    }
    35% {
        -webkit-transform: rotateZ(-4deg);
    }
    37% {
        -webkit-transform: rotateZ(2deg);
    }
    39% {
        -webkit-transform: rotateZ(-1deg);
    }
    41% {
        -webkit-transform: rotateZ(1deg);
    }

    43% {
        -webkit-transform: rotateZ(0);
    }
    100% {
        -webkit-transform: rotateZ(0);
    }
}

@-moz-keyframes ring {
    0% {
        -moz-transform: rotate(0);
    }
    1% {
        -moz-transform: rotate(30deg);
    }
    3% {
        -moz-transform: rotate(-28deg);
    }
    5% {
        -moz-transform: rotate(34deg);
    }
    7% {
        -moz-transform: rotate(-32deg);
    }
    9% {
        -moz-transform: rotate(30deg);
    }
    11% {
        -moz-transform: rotate(-28deg);
    }
    13% {
        -moz-transform: rotate(26deg);
    }
    15% {
        -moz-transform: rotate(-24deg);
    }
    17% {
        -moz-transform: rotate(22deg);
    }
    19% {
        -moz-transform: rotate(-20deg);
    }
    21% {
        -moz-transform: rotate(18deg);
    }
    23% {
        -moz-transform: rotate(-16deg);
    }
    25% {
        -moz-transform: rotate(14deg);
    }
    27% {
        -moz-transform: rotate(-12deg);
    }
    29% {
        -moz-transform: rotate(10deg);
    }
    31% {
        -moz-transform: rotate(-8deg);
    }
    33% {
        -moz-transform: rotate(6deg);
    }
    35% {
        -moz-transform: rotate(-4deg);
    }
    37% {
        -moz-transform: rotate(2deg);
    }
    39% {
        -moz-transform: rotate(-1deg);
    }
    41% {
        -moz-transform: rotate(1deg);
    }

    43% {
        -moz-transform: rotate(0);
    }
    100% {
        -moz-transform: rotate(0);
    }
}

@keyframes ring {
    0% {
        transform: rotate(0);
    }
    1% {
        transform: rotate(30deg);
    }
    3% {
        transform: rotate(-28deg);
    }
    5% {
        transform: rotate(34deg);
    }
    7% {
        transform: rotate(-32deg);
    }
    9% {
        transform: rotate(30deg);
    }
    11% {
        transform: rotate(-28deg);
    }
    13% {
        transform: rotate(26deg);
    }
    15% {
        transform: rotate(-24deg);
    }
    17% {
        transform: rotate(22deg);
    }
    19% {
        transform: rotate(-20deg);
    }
    21% {
        transform: rotate(18deg);
    }
    23% {
        transform: rotate(-16deg);
    }
    25% {
        transform: rotate(14deg);
    }
    27% {
        transform: rotate(-12deg);
    }
    29% {
        transform: rotate(10deg);
    }
    31% {
        transform: rotate(-8deg);
    }
    33% {
        transform: rotate(6deg);
    }
    35% {
        transform: rotate(-4deg);
    }
    37% {
        transform: rotate(2deg);
    }
    39% {
        transform: rotate(-1deg);
    }
    41% {
        transform: rotate(1deg);
    }

    43% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(0);
    }
}
/*Bell*/
